package main

import (
	intcode "git.bullercodeworks.com/brian/adventofcode/2019/intcode-processor"
	helpers "git.bullercodeworks.com/brian/adventofcode/helpers"
)

var layout [][]byte

func main() {
	pt := helpers.GetArgNumber(1)
	prog := intcode.ReadIntCodeFile("input")

	if pt == "1" {
		part1(prog)
	} else if pt == "walk" {
		part1(prog)
		walk()
	} else {
		part2(prog)
	}
}
